lgt2md(1)

NAME
lgt2md - Logtalk script for converting XML documenting files into Markdown text files

SYNOPSIS
lgt2md [-d directory] [-i index] [-t title] [-p processor]
lgt2md -h

DESCRIPTION
lgt2md is a Logtalk script for converting all Logtalk XML documenting files in the current directory into Markdown text files. Assumes UTF-8 encoding.

OPTIONS

-d  directory Output directory for the Markdown text files.

-i  index Name of the index file.

-t  title Title to be used in the index file.

-p  processor XSLT processor.

-h  Prints a summary of the script options.

REQUIREMENTS
Requires a compatible XSLT processor. See the script help screen for more information.

ENVIRONMENT

LOGTALKHOME
    Specifies the location of the Logtalk installation.

LOGTALKUSER
    Specifies the location of the Logtalk user directory.

FILES

$LOGTALKHOME/tools/lgtdoc/xml/logtalk_entity.dtd
    The Logtalk entity DTD file.

$LOGTALKHOME/tools/lgtdoc/xml/logtalk_index.dtd
    The Logtalk index DTD file.

$LOGTALKUSER/tools/lgtdoc/xml/custom.ent
    The Logtalk custom entities file.

$LOGTALKHOME/tools/lgtdoc/xml/logtalk_entity.xsd
    The Logtalk entity XML Schema file.

$LOGTALKHOME/tools/lgtdoc/xml/logtalk_index.xsd
    The Logtalk index XML Schema file.

$LOGTALKUSER/tools/lgtdoc/xml/logtalk_entity_to_md.xsl
    The Logtalk entity XSLT file.

$LOGTALKUSER/tools/lgtdoc/xml/logtalk_index_to_md.xsl
    The Logtalk index XSLT file.

SEE ALSO
The Logtalk website at https://logtalk.org/

The Logtalk Handbook at $LOGTALKHOME/docs/handbook/index.html

logtalk_user_setup(1), lgt2html(1), lgt2xml(1), lgt2pdf(1), lgt2txt(1)

AUTHOR
Paulo Moura <pmoura@logtalk.org>

COPYRIGHT
Copyright (c) 1998-2026 Paulo Moura.